import request from '@/utils/request'

// 计划管理- 查询列表
export function listPlanAPI(query) {
    return request({
        url: '/planManagement/getPlanManagementList',
        method: 'GET',
        params: query,
    })
}

// 计划管理- 新增
export function addPlanAPI(data) {
    return request({
        url: '/planManagement/addPlanManagement',
        method: 'POST',
        data,
    })
}

// 计划管理- 修改
export function updatePlanAPI(data) {
    return request({
        url: '/planManagement/updatePlanManagement',
        method: 'POST',
        data,
    })
}

// 计划管理- 删除
export function delPlanAPI(data) {
    return request({
        url: `/planManagement/delPlanManagement`,
        method: 'POST',
        data,
    })
}
